0

I was trying to upgrade mongodb 2.2 to 2.6 and upon testing 2.6 received chunk out of order error.. I recieve an unexpected error from the server: exception: chunks out of order at /home/ps203k/.perlbrew/libs/perl-5.20.2@oasis-gsp_oss/lib/perl5/x86_64-linux-thread-multi/MongoDB/GridFS.pm line 236. it is standalone.. and not sharded.. only once instance of mongodb running in one sever.. the server has old mongodb version : 2.2 and may be old perl version.. package MongoDB; { $MongoDB::VERSION = '0.46.3'; } so we have 0.46.3 driver version of perl.. so do you think that this chunk out of order we are getting because of old driver version...? we need to upgrade perl driver and perl versions..

0

Did you follow the guidelines?

To upgrade an existing MongoDB deployment to 2.6, you must be running 2.4. If you’re running a version of MongoDB before 2.4, you must upgrade to 2.4 before upgrading to 2.6.

I have upgraded from 2.4 to 2.6 with no issues on a sharded cluster.

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.